summaryrefslogtreecommitdiffstats
path: root/maven/projects/jogl-all-noawt
diff options
context:
space:
mode:
authorMark Raynsford <[email protected]>2014-03-11 20:54:50 +0000
committerMark Raynsford <[email protected]>2014-03-11 20:54:50 +0000
commit75322060978ed360ebf3ad355abd915e868c92a4 (patch)
tree63115d7efbcb942feee43b94424fa9ea914ad946 /maven/projects/jogl-all-noawt
parentf538477c6467f046533b3fc584566dccc768c6f5 (diff)
Massively rewrite project handling. Projects are now defined by directories of
(mostly) single-line config files (essentially a glorified directory-based key/value db). The scripts have been adjusted to work better in isolation (in particular the old copy-jars script has been split into a copy-jars-one and copy-jars script, with the latter executing the former on all projects). Bug 999: Is now fixed. Essentially a variable name was accidentally re-used, meaning the source zip file was copied over the project's main jar file. The -n option was passed to cp, but not the subsequent mv, so the overwrite occurred silently!
Diffstat (limited to 'maven/projects/jogl-all-noawt')
-rw-r--r--maven/projects/jogl-all-noawt/atomics1
-rw-r--r--maven/projects/jogl-all-noawt/dummy-jar1
-rw-r--r--maven/projects/jogl-all-noawt/natives1
-rwxr-xr-xmaven/projects/jogl-all-noawt/pom.sh37
-rw-r--r--maven/projects/jogl-all-noawt/source-zip1
5 files changed, 41 insertions, 0 deletions
diff --git a/maven/projects/jogl-all-noawt/atomics b/maven/projects/jogl-all-noawt/atomics
new file mode 100644
index 0000000..8b13789
--- /dev/null
+++ b/maven/projects/jogl-all-noawt/atomics
@@ -0,0 +1 @@
+
diff --git a/maven/projects/jogl-all-noawt/dummy-jar b/maven/projects/jogl-all-noawt/dummy-jar
new file mode 100644
index 0000000..3639190
--- /dev/null
+++ b/maven/projects/jogl-all-noawt/dummy-jar
@@ -0,0 +1 @@
+no-dummy-jar
diff --git a/maven/projects/jogl-all-noawt/natives b/maven/projects/jogl-all-noawt/natives
new file mode 100644
index 0000000..ae3b2b0
--- /dev/null
+++ b/maven/projects/jogl-all-noawt/natives
@@ -0,0 +1 @@
+no-natives
diff --git a/maven/projects/jogl-all-noawt/pom.sh b/maven/projects/jogl-all-noawt/pom.sh
new file mode 100755
index 0000000..3e583ff
--- /dev/null
+++ b/maven/projects/jogl-all-noawt/pom.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+if [ $# -lt 1 ]
+then
+ echo "usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by jogl-all-noawt.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.jogl</groupId>
+ <artifactId>jogl-all-noawt</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>JOGL</name>
+ <description>Java™ Binding for the OpenGL® API (Without AWT)</description>
+ <url>http://jogamp.org/jogl/www/</url>
+
+EOF
+
+cat ../jogl/pom.in || exit 1
+cat <<EOF
+</project>
+EOF
diff --git a/maven/projects/jogl-all-noawt/source-zip b/maven/projects/jogl-all-noawt/source-zip
new file mode 100644
index 0000000..ec55446
--- /dev/null
+++ b/maven/projects/jogl-all-noawt/source-zip
@@ -0,0 +1 @@
+jogl-java-src.zip